Subject: bug#76743: BUGGY "cut" and "printf" with func arg $@

From: Pádraig Brady <[email-masked]>
Date: Tue, 4 Mar 2025 16:19:30 +0000

tag 76743 notabug
close 76743
stop

On 04/03/2025 14:24, G.K. wrote:
> HI THERE
> 
> 
> any bash code to described the buggy form
> 
> attachment pic displayed standardout
> 
> 
> https://www.facebook.com/100013673347475/posts/2029907180808374
> 
> I'AM USED TERMUX , ANDROID 11 ON FON GS4
> 
> 
> 
> 
> #1
> echo -e "1\n2\n3\n4"'' | tac | cut -zf-4
> 
> WILL NOT DISPLAYED 1LINE
> 🤔
> to any command "cut" will this not

I don't know what you're trying to do with either cut or printf.
I don't think there is a bug here, perhaps a confusion with shell quoting.
Marking this as not coreutils related for now.

cheers,
Pádraig